dskid(1)

NAME
dskid - identify floppy or disc image file for emulated machines

SYNOPSIS
dskid [-format FORMAT] [-type TYPE] [-side SIDE] [-comp COMP] [-retry COUNT] DISKIMAGE [DSKIMAGE...]

DESCRIPTION
Dskid is a utility which will identify how a disc (or image) is formatted. It reports the required driver and various information about the disc geometry.

OPTIONS

-type TYPE
    Determines which driver is to be used.

    auto
        Select according to the disc image file. This is the default.

    dsk Use the DSK (CPCEmu format) image driver.

    edsk
        Use the extended version of the DSK format.

    floppy
        Use the floppy driver.

    myz80
        Use the hard disk (MYZ80 format) image driver. (This format cannot be autodetected.)

    cfi Use the CFI (DOS fdcopy format) image driver. (This format cannot be autodetected.)

    raw Use the raw driver.

-retry COUNT
    Set the number of times to attempt to read the disc in case of error.

-comp COMP
    Select the compression method used on the source disc image file (has no effect when reading a floppy disc).

    auto
        Detect from the first few bytes of the file. This is the default.

    sq  Huffman coded (SQ / USQ).

    gz  Gzipped (gzip / gunzip).

    bz2 Burrows-Wheeler compressed (bzip2 / bunzip2).

-side SIDE
    Determines which side (0 or 1) of the disc (image) is to be identified.

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.

Darren Salt wrote the man pages.